% example script for calling CMOD5.m
%
% Written by D.G. Long at BYU Jan 2012
%
clear

% compute a single sigma^0 value for a particular geometry and wind vector
spd=10;  % wind speed (m/s)
dir=30;  % wind direction relative to north (deg)
az=45;   % radar azimuth angle relative to north (deg)
inc=30;  % incidence angle (deg)

sig=CMOD5([spd, dir, az, inc])

% compute several sigma^0 values at once

spds=[10, 10, 10];
dirs=[30, 30, 30];
azs=[0, 45, 90];
incs=[30, 30, 30];

sigs=CMOD5([spds', dirs', azs', incs'])'
