function LS=dirmin(spd);
%
% function to be used with fminbnd to compute the least-squares 
% objective function at a particular speed using CMOD5 and geometry 
% stored in the global variable search_geom

global search_geom

% generate model function input argument for fixed geometry
arg=[spd+zeros(size(search_geom(:,1))) search_geom(:,1:3)];

% call model function
sigs=CMOD5(arg);

% compute least-squares error
LS=sum((sigs-search_geom(:,4)').^2);

